<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="CREATE" id="0">
  <actions>
    <action id="605" library="1">
      <!--action name: Comment-->
      <kind>NORMAL</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>false</canApplyTo>
      <actionType>NONE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">Create Game</argument>
      </arguments>
    </action>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
drawStatus = 0;
moneyCount = 0;
global.ghostExists = false;
global.message = "";
global.message2 = "";

// these get set to true when one of them is created during level gen,
// preventing you from getting levels with more than one damsel, altar, etc.
damsel = false;
idol = false;
altar = false;

// Black Market
genClothingShop = false;
genBombShop = false;
genSupplyShop = false;
genRareShop = false;
genWeaponShop = false;

if (instance_number(oGame) &gt; 1) instance_destroy();

moveableSolidGrav = 1; // how fast moveable solids should accelerate downwards
time = 1;

if (global.gameStart) scrInitLevel();

// color for arrows showing solution path (Draw event)
     if (global.levelType == 0) arrowCol = c_lime; // mines
else if (global.levelType == 2) arrowCol = c_yellow; // ice caves
else if (global.levelType &gt;= 3) arrowCol = c_red; // temple
else arrowCol = make_color_rgb(255, 0, 255); // lush (purple)
</argument>
      </arguments>
    </action>
  </actions>
</event>
